#
# spec file for package pyrex
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           pyrex
Version:        0.9.9
Release:        19.2
Summary:        Compiles code that mixes Python and C data types into a C extension for Python
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.cosc.canterbury.ac.nz/greg.ewing/python/Pyrex/
Source0:        http://www.cosc.canterbury.ac.nz/greg.ewing/python/Pyrex/Pyrex-%{version}.tar.gz
Patch0:         pyrex-no-buildtime.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig
BuildRequires:  python-devel
%if 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%py_requires
%endif

%description
Pyrex is a language specially designed for writing Python extension
modules. It's designed to bridge the gap between the nice, high-level,
easy-to-use world of Python and the messy, low-level world of C.

%prep
%setup -q -n Pyrex-%{version}
%patch0 -p1

%build
export CFLAGS="%{optflags}" 
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc *.txt Doc/*
%doc Demos
%{_bindir}/pyrexc
%{python_sitelib}/Pyrex-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/Pyrex/

%changelog
* Thu Jun 14 2012 toddrme2178@gmail.com
- Spec file cleanups
* Thu Jun 14 2012 cfarrell@suse.com
- license update: Apache-2.0
  License.txt expressly gives the choice to declare Apache-2.0 as the
  license of the package
* Wed Jan 12 2011 saschpe@suse.de
- correct upstream URL, expanded changelog
* Wed Nov  3 2010 termim@gmail.com
- update to version 0.9.9
  * C++ struct declarations, 'new' operator, and del for C++ delete.
  * Disabled size check for cimported types because it was generating too
    many false positives in the field.
  * Added __fastcall calling convention. Also no longer assuming that an
    unspecified calling convention is the same as __cdecl.
  * Operations between signed and unsigned ints of the same size now have
    an unsigned result.
  * Py_ssize_t now ranked between long and long long.
  * Declaration of __new__ in an extension type is now an error, in
    preparation for introducing new semantics.
  * Added size_t type, and made sizeof() return it.
  * When casting the result of a function call to a Python type, the
    function could be called twice.
  * __Pyx_GetException was not taking account of the fact that the traceback
    could be NULL.
  * sizeof(module.typename) did not work.
* Mon Oct 18 2010 masterpatricko@gmail.com
- Don't put buildtime at the top of generated files
* Tue Feb 17 2009 thoenig@suse.de
- use bzip2 rather than gzip
* Tue Feb 17 2009 riggwelter@opensuse.org
- new upstream version 0.9.8.5
  * consistency with the way automatic conversions are done
    elsewhere.
  * Support for string and tuple exceptions dropped.
  * Calls to many of the builtin functions are now compiled as
    direct calls to Python/C API routines.
  * Augmented assignment operators (+=, etc.) are now supported.
  * Dependency files are only created when compiling with
    timestamp checking or recursion enabled.
  * Lots more features, enhancements and bug fixes, full list at
    http://www.cosc.canterbury.ac.nz/greg.ewing/python/Pyrex/version/CHANGES.txt
- drop all patches
* Thu Mar  1 2007 thoenig@suse.de
- new upstream version 0.9.5.1a
- drop patch pyrex-python-2.5.patch
* Wed Nov 15 2006 thoenig@suse.de
- add patch pyrex-python-2.5.patch: make Pyrex run properly on
  Python 2.5 (patch by Stefan Behnel)
- fixes b.n.c #221342
* Tue Aug  1 2006 thoenig@suse.de
- add patch pyrex-initialize-lineno-thoenig-01.patch to avoid
  creation of C code which uses uninitialized variables
* Thu Jul 27 2006 thoenig@suse.de
- new version: new upstream version 0.9.4.1
- drop pyrex-try_finally-thoenig-01.patch
- closes b.n.c #194372
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Dec 17 2005 thoenig@suse.de
- new version: new upstream version 0.9.3.1
- added patch:
  * pyrex-try_finally-thoenig-01.patch: fix Pyrex compiler to
    initialize local variables for try, finally structures
- removed patch:
  * pyrex-0.9.2.1-gcc4.patch
* Fri Jul  1 2005 kay.sievers@suse.de
- gcc4 patch from RH
* Wed Nov 24 2004 mcihar@suse.cz
- use just distutils and no other magic
* Wed Nov 24 2004 dkukawka@suse.de
- changed '%%define python_site' due to new python-version
* Thu Nov  4 2004 thoenig@suse.de
- initial rpm for suse
